Name:      scons
Version:   3.1.2
Release:   12%{?dist}1a
Summary:   An Open Source software construction tool
License:   MIT
URL:       http://www.scons.org
Source0:   https://github.com/SCons/scons/archive/%{version}/scons-%{version}.tar.gz
Patch0:    localhost:/scons-%{version}-mandir.patch
BuildArch: noarch

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software. SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax. SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines. SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched. SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%prep
%setup -q
%patch0 -p1 -b .mandir

%build

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=%{buildroot}
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files 
%doc CHANGES.txt RELEASE.*
%license LICENSE*
%dir %{_libdir}/scons
%{_bindir}/*
%{_libdir}/scons/*
%{_mandir}/man1/*

%changelog
* Sun Jun 5 2022 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.2-12hepx1a
- 1st release on MacOS12
